Loading...
Searching...
No Matches
irr::core::map< KeyType, ValueType >::ParentLastIterator Class Reference

Parent Last Iterator. More...

`#include <irrMap.h>`

## Public Member Functions

| ParentLastIterator ()
| ParentLastIterator (Node *root)
bool | atEnd () const
Node * | getNode ()
Node & | operator* ()
void | operator++ (int)
Node * | operator-> ()
ParentLastIterator & | operator= (const ParentLastIterator &src)
void | reset ()

## Detailed Description

template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::ParentLastIterator

Parent Last Iterator.

Traverse the tree from bottom to top. Typical usage is when deleting all elements in the tree because you must delete the children before you delete their parent.

Definition at line 541 of file irrMap.h.

## Constructor & Destructor Documentation

## ParentLastIterator() [1/2]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( |  | ) |

inline

Definition at line 545 of file irrMap.h.

Referenced by operator=().

## ParentLastIterator() [2/2]

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::ParentLastIterator::ParentLastIterator | ( | Node * | root | ) |

inline explicit

Definition at line 547 of file irrMap.h.

References reset().

## Member Function Documentation

## atEnd()

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::ParentLastIterator::atEnd | ( |  | ) | const

inline

Definition at line 557 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by irr::core::map< KeyType, ValueType >::clear(), and operator*().

## getNode()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::ParentLastIterator::getNode | ( |  | ) |

inline

Definition at line 563 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::clear(), operator*(), and operator->().

## operator*()

template<class KeyType, class ValueType>

Node & irr::core::map< KeyType, ValueType >::ParentLastIterator::operator* | ( |  | ) |

inline

Definition at line 585 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, atEnd(), and getNode().

## operator++()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::operator++ | ( | int |  | ) |

inline

Definition at line 575 of file irrMap.h.

## operator->()

template<class KeyType, class ValueType>

Node * irr::core::map< KeyType, ValueType >::ParentLastIterator::operator-> | ( |  | ) |

inline

Definition at line 580 of file irrMap.h.

References getNode().

## operator=()

template<class KeyType, class ValueType>

ParentLastIterator & irr::core::map< KeyType, ValueType >::ParentLastIterator::operator= | ( | const ParentLastIterator & | src | ) |

inline

Definition at line 568 of file irrMap.h.

References ParentLastIterator().

## reset()

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::ParentLastIterator::reset | ( |  | ) |

inline

Definition at line 552 of file irrMap.h.

Referenced by ParentLastIterator().

The documentation for this class was generated from the following file:

- irrMap.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0